org.acplt.oncrpc

## Interface OncRpcAuthType

    public interface OncRpcAuthType

A collection of constants used to identify the authentication schemes available for ONC/RPC. Please note that currently only `ONCRPC_AUTH_NONE` is supported by this Java package.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`static int` `ONCRPC_AUTH_DES` The DES authentication scheme (using encrypted time stamps) is not supported -- and besides, it's not a silver bullet either.
`static int` `ONCRPC_AUTH_NONE` No authentication scheme used for this remote procedure call.
`static int` `ONCRPC_AUTH_SHORT` The so-called "short hand Unix style" is not supported.
`static int` `ONCRPC_AUTH_UNIX` The so-called "Unix" authentication scheme is not supported.

### Field Detail

#### ONCRPC_AUTH_NONE

    static final int ONCRPC_AUTH_NONE

No authentication scheme used for this remote procedure call.

See Also:
  Constant Field Values

#### ONCRPC_AUTH_UNIX

    static final int ONCRPC_AUTH_UNIX

The so-called "Unix" authentication scheme is not supported. This one only sends the users id as well as her/his group identifiers, so this is simply far too weak to use in typical situations where authentication is requested.

See Also:
  Constant Field Values

#### ONCRPC_AUTH_SHORT

    static final int ONCRPC_AUTH_SHORT

The so-called "short hand Unix style" is not supported.

See Also:
  Constant Field Values

#### ONCRPC_AUTH_DES

    static final int ONCRPC_AUTH_DES

The DES authentication scheme (using encrypted time stamps) is not supported -- and besides, it's not a silver bullet either.

See Also:
  Constant Field Values